
TYPO3.Neos - Task # 10479

Story # 11042 (Closed): As Roger, I want clean and extensible JavaScript Code

Status: Closed Priority: Should have
Author: Rens Admiraal Category:
Created: 2010-10-27 Assigned To: Rens Admiraal
Updated: 2012-08-31 Due date:
Subject: Move JS Unit testing to the Testing package
Description

History
#1 - 2010-10-27 10:57 - Rens Admiraal
- Status changed from New to Accepted

#2 - 2010-11-04 23:45 - Rens Admiraal
- Status changed from Accepted to Needs Feedback

#3 - 2010-11-04 23:46 - Rens Admiraal

I created a package for which I'm not 100% sure if the inner workings are ok, but it works, and is flexible :) Would be cool to get some feedback, will try
to push it to gerrit tomorrow

#4 - 2010-11-05 08:45 - Rens Admiraal
- File JSTesting.zip added

Can't push it all at once ;-) So, here an attachment with the package. It's still rough, so maybe it needs to be refactored, and there's no real unit test
yet.

Some other changes you've to do to get some results:

    -  /Configuration/Routes.yaml

-
  name: 'JSTesting'
  uriPattern: '<JSTestingSubroutes>'
  subRoutes:
    JSTestingSubroutes:
      package: JSTesting

    -  Rename /Packages/Application/TYPO3/Tests/JavaScript/Backend/UserInterface/BreadcrumbMenu/ItemPaths.js to ItemPathTest.js

    -  Add some doc comments to the Test classes of the Packages/Application/TYPO3 package:

Tests/JavaScript/Backend/Core/RegistryTest.js

/**
 * @include TYPO3:Backend/JavaScript/Core/Registry.js
 */

Tests/JavaScript/Backend/Core/UtilsTest.js

/**
 * @include TYPO3:Backend/JavaScript/Utils.js
 */

Tests/JavaScript/Backend/UserInterface/BreadcrumbMenu/ItemPathsTest.js

/**
 * @include TYPO3:Backend/JavaScript/UserInterface/Form/FormFactory.js
 * @include TYPO3:Backend/JavaScript/UserInterface/BreadcrumbMenu.js
 * @include TYPO3:Backend/JavaScript/UserInterface/BreadcrumbMenu/Util.js
 */

Tests/JavaScript/Backend/UserInterface/Form/FormFactoryTest.js

/**
 * @include TYPO3:Backend/JavaScript/UserInterface/Form/FormFactory.js
 */

#5 - 2010-11-05 08:47 - Rens Admiraal

Note: and the package also has no package selection yet, so it's all tests at once for now

#6 - 2010-11-05 09:00 - Rens Admiraal

Gerrit change for the TYPO3 package changes
https://review.typo3.org/#change,279

#7 - 2010-11-15 20:38 - Rens Admiraal
- File deleted (JSTesting.zip)

#8 - 2010-11-15 20:39 - Rens Admiraal
- File JSTesting.zip added

New version, this one does not concatenate files which are available from within the public resources folder.
#9 - 2010-11-24 12:36 - Robert Lemke
- Parent task changed from #10285 to #11042

#10 - 2011-01-19 07:45 - Rens Admiraal
- Status changed from Needs Feedback to Closed

Not needed anymore since jasmine testrunner is now integrated, so there are now only test suites defined in the packages itself, which is a good thing.

#11 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
JSTesting.zip 61.6 kB 2010-11-15 Rens Admiraal
